Ubuntu

Update to latest Release failed for overloaded mirrors with no descriptive error message

Reported by Ohad Kammar on 2011-10-13
532
This bug affects 102 people
Affects Status Importance Assigned to Milestone
update-manager (Ubuntu)
High
Barry Warsaw
Precise
High
Barry Warsaw

Bug Description

When auto updating to Oneiric, the update-manager crashed with the following message:

"After your package information was updated the essential package 'ubuntu-minimal' can not be found anymore.
This indicates a serious error, please report this bug using the command 'ubuntu-bug update-manager' in a terminal and include the files in /var/log/dist-upgrade/ in the bug report."

ProblemType: Bug
DistroRelease: Ubuntu 11.04
Package: update-manager 1:0.150.3
ProcVersionSignature: Ubuntu 2.6.38-11.50-generic 2.6.38.8
Uname: Linux 2.6.38-11-generic i686
NonfreeKernelModules: wl
Architecture: i386
CurrentDmesg.txt:
 [ 29.414158] EXT4-fs (sda6): re-mounted. Opts: errors=remount-ro,commit=0
 [ 35.168233] eth1: no IPv6 routers present
Date: Thu Oct 13 18:23:58 2011
GConfNonDefault:
 /apps/update-manager/check_new_release_ignore=
 /apps/update-manager/first_run=false
 /apps/update-manager/show_details=true
 /apps/update-manager/window_size=(784,600)
InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Release i386 (20110427.1)
PackageArchitecture: all
ProcEnviron:
 LANGUAGE=en_GB:en
 PATH=(custom, user)
 LANG=en_GB.UTF-8
 SHELL=/bin/bash
SourcePackage: update-manager
UpgradeStatus: Upgraded to natty on 2011-10-13 (0 days ago)

Ohad Kammar (ohad-kammar) wrote :
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in update-manager (Ubuntu):
status: New → Confirmed
Excalibor (excalibor) wrote :
Download full text (3.8 KiB)

After reporting this bug (actually a duplicate of it) I tried again and it's now running smoothly, so it may be related to incorrect setting of new repositories while working on the update.

I include the current /etc/apt/sources.list below (in my case a machine already upgraded from 10.10 - NB comments not in english are in galician, automatically added by update-manager in my locale, if you have trouble understanding try google translate or any other translation tool):

# deb cdrom:[Ubuntu 10.10 _Maverick Meerkat_ - Release amd64 (20101007)]/ maverick main restricted
# See http://help.ubuntu.com/community/UpgradeNotes for how to upgrade to
# newer versions of the distribution.

deb http://es.archive.ubuntu.com/ubuntu/ oneiric main restricted
deb-src http://es.archive.ubuntu.com/ubuntu/ oneiric main restricted

## Major bug fix updates produced after the final release of the
## distribution.
deb http://es.archive.ubuntu.com/ubuntu/ oneiric-updates main restricted
deb-src http://es.archive.ubuntu.com/ubuntu/ oneiric-updates main restricted

## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
## team. Also, please note that software in universe WILL NOT receive any
## review or updates from the Ubuntu security team.
deb http://es.archive.ubuntu.com/ubuntu/ oneiric universe
deb-src http://es.archive.ubuntu.com/ubuntu/ oneiric universe
deb http://es.archive.ubuntu.com/ubuntu/ oneiric-updates universe
deb-src http://es.archive.ubuntu.com/ubuntu/ oneiric-updates universe

## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
## team, and may not be under a free licence. Please satisfy yourself as to
## your rights to use the software. Also, please note that software in
## multiverse WILL NOT receive any review or updates from the Ubuntu
## security team.
deb http://es.archive.ubuntu.com/ubuntu/ oneiric multiverse
deb-src http://es.archive.ubuntu.com/ubuntu/ oneiric multiverse
deb http://es.archive.ubuntu.com/ubuntu/ oneiric-updates multiverse
deb-src http://es.archive.ubuntu.com/ubuntu/ oneiric-updates multiverse

## Uncomment the following two lines to add software from the 'backports'
## repository.
## N.B. software from this repository may not have been tested as
## extensively as that contained in the main release, although it includes
## newer versions of some applications which may provide useful features.
## Also, please note that software in backports WILL NOT receive any review
## or updates from the Ubuntu security team.
# deb http://es.archive.ubuntu.com/ubuntu/ maverick-backports main restricted universe multiverse
# deb-src http://es.archive.ubuntu.com/ubuntu/ maverick-backports main restricted universe multiverse

## Uncomment the following two lines to add software from Canonical's
## 'partner' repository.
## This software is not part of Ubuntu, but is offered by Canonical and the
## respective vendors as a service to Ubuntu users.
# deb http://archive.canonical.com/ubuntu maverick partner
# deb-src http://archive.canonical.com/ubuntu maverick partner

## This software is not part of Ubuntu, but is offered by third-party
## developers who want to ship their latest software.
deb http:/...

Read more...

Mannex (russ-mannex) wrote :

This worked for me as well. Of course, then the update failed miserably and I had to do a full install anyway (just like every single time I've tried to upgrade), but that's another issue...

Thanks!

After the same failure, ihave deactivated all repositories, and have deselected all software origings bur canonical and partners ( ie. Universe, multiverse, etc) and now it works

SuperBOB (nicholas-holford) wrote :

Something to do with using a mirror ?

Debsankha (deb5890) wrote :

I also faced the same problem, then switched my repositories to the main server. That solved the problem.

Paul Abrahams (abrahams) wrote :

In my case the error that initiated the problem was an attempt to install Samba.

Michael Vogt (mvo) on 2011-10-17
summary: - Update to Oneiric failed with a request from the update-manager to
- report a bug.
+ Update to Oneiric failed for overloaded mirrors with no descriptive
+ error message
Changed in update-manager (Ubuntu):
importance: Undecided → Medium
status: Confirmed → Triaged

For all the affected users, most likely if you change the mirror when you get this error (for instance using Software Sources in the Ubuntu Software Center) and retry the upgrade, it will work.

tags: added: rls-mgr-p-tracking

Have been solved, updating and clearing apt-get and trying again.
Now, I'm trying to solve a problem with not enought disk space...

Yes - retrying enabled me to complete the upgrade - I am now on 11.10

On 17/10/11 08:57, Walter Garcia-Fontes wrote:
> For all the affected users, most likely if you change the mirror when
> you get this error (for instance using Software Sources in the Ubuntu
> Software Center) and retry the upgrade, it will work.
>

--
*Deluxe Technology Ltd*
/Linux Consultant/
<email address hidden> <mailto:<email address hidden>>
http://www.deluxe-tech.co.uk
Mob: 07970 850961

I could upgrade.

Thanks.

--
Regards

2011/10/17 Martin Houston <email address hidden>

> Yes - retrying enabled me to complete the upgrade - I am now on 11.10
>
> On 17/10/11 08:57, Walter Garcia-Fontes wrote:
> > For all the affected users, most likely if you change the mirror when
> > you get this error (for instance using Software Sources in the Ubuntu
> > Software Center) and retry the upgrade, it will work.
> >
>
> --
> *Deluxe Technology Ltd*
> /Linux Consultant/
> <email address hidden> <mailto:<email address hidden>>
> http://www.deluxe-tech.co.uk
> Mob: 07970 850961
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (874845).
> https://bugs.launchpad.net/bugs/873468
>
> Title:
> Update to Oneiric failed for overloaded mirrors with no descriptive
> error message
>
> Status in “update-manager” package in Ubuntu:
> Triaged
> Status in “update-manager” source package in Precise:
> Triaged
>
> Bug description:
> When auto updating to Oneiric, the update-manager crashed with the
> following message:
>
> "After your package information was updated the essential package
> 'ubuntu-minimal' can not be found anymore.
> This indicates a serious error, please report this bug using the command
> 'ubuntu-bug update-manager' in a terminal and include the files in
> /var/log/dist-upgrade/ in the bug report."
>
> ProblemType: Bug
> DistroRelease: Ubuntu 11.04
> Package: update-manager 1:0.150.3
> ProcVersionSignature: Ubuntu 2.6.38-11.50-generic 2.6.38.8
> Uname: Linux 2.6.38-11-generic i686
> NonfreeKernelModules: wl
> Architecture: i386
> CurrentDmesg.txt:
> [ 29.414158] EXT4-fs (sda6): re-mounted. Opts:
> errors=remount-ro,commit=0
> [ 35.168233] eth1: no IPv6 routers present
> Date: Thu Oct 13 18:23:58 2011
> GConfNonDefault:
> /apps/update-manager/check_new_release_ignore=
> /apps/update-manager/first_run=false
> /apps/update-manager/show_details=true
> /apps/update-manager/window_size=(784,600)
> InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Release i386
> (20110427.1)
> PackageArchitecture: all
> ProcEnviron:
> LANGUAGE=en_GB:en
> PATH=(custom, user)
> LANG=en_GB.UTF-8
> SHELL=/bin/bash
> SourcePackage: update-manager
> UpgradeStatus: Upgraded to natty on 2011-10-13 (0 days ago)
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/update-manager/+bug/873468/+subscriptions
>

Changing the Mirror in Software Center worked for me.
Though the update did give me a Black screen near the end. I had to reboot and run the Update again so it could fix everything it missed.

I am now 11.10 happy.

Vortex...

summary: - Update to Oneiric failed for overloaded mirrors with no descriptive
- error message
+ Update to latest Release failed for overloaded mirrors with no
+ descriptive error message
Steve Langasek (vorlon) on 2011-10-26
tags: added: rls-p-tracking
Steve Langasek (vorlon) on 2011-11-09
Changed in update-manager (Ubuntu Precise):
milestone: none → ubuntu-12.04
assignee: nobody → Canonical Foundations Team (canonical-foundations)

Don't know if all these bug-reports, has to do with Precise update-manager hangs when trying to check for update or even trying installing updates. Nothing happens at all. it just hangs and looks like it's trying to do what job ever executed in update-manager.
 be back with logs if i can get it to crash, cause even that, i can make it do, using daily-live builds, 24th November. x86_64 12.04

Steve Langasek (vorlon) on 2012-03-02
Changed in update-manager (Ubuntu Precise):
importance: Medium → High

Changing to Critical because this causes failed installs, potentially for a large number of people

Changed in update-manager (Ubuntu Precise):
importance: High → Critical
Steve Langasek (vorlon) on 2012-03-27
Changed in update-manager (Ubuntu Precise):
assignee: Canonical Foundations Team (canonical-foundations) → Stéphane Graber (stgraber)
Steve Langasek (vorlon) on 2012-04-12
Changed in update-manager (Ubuntu Precise):
assignee: Stéphane Graber (stgraber) → Barry Warsaw (barry)
Barry Warsaw (barry) on 2012-04-13
Changed in update-manager (Ubuntu Precise):
status: Triaged → In Progress
Steve Langasek (vorlon) wrote :

Downgrading this back to 'high'. This doesn't actually cause installs to fail, it's an upgrade issue - and the bug here doesn't *cause* upgrades to fail either, it's overloaded mirrors at release time that cause that. If the machine can't reach the mirror to do the download, nothing we do in update-manager is liable to fix that.

This bug is strictly about the lack of decipherable error message when such a failure happens. That's an important issue, but not critical. Affected users will still be able to use the supported Ubuntu release they already have installed, and will be offered the opportunity later to try the upgrade again when it's more likely to succeed.

Changed in update-manager (Ubuntu Precise):
importance: Critical → High
Chris Puttick (cputtick) wrote :

I'm experiencing the same issue and assuming that is because I'm using a mirror. But we use an inhouse mirror because it makes sense to do so, for everyone; we download the packages once. How do we make do-release-upgrade use our mirror (which has the 12.04 files on it)?

Chris Puttick, the message generated is rather generic, and can have a number of completely different causes. So I suspect it may not have anything to do with overloaded mirrors.

Unfortunately, my bug report, https://bugs.launchpad.net/ubuntu/+source/update-manager/+bug/773823, was marked as a duplicate of https://bugs.launchpad.net/ubuntu/+source/update-manager/+bug/289952, when they are different. Requests to unmark it as a duplicate have been ignored. https://bugs.launchpad.net/ubuntu/+source/update-manager/+bug/289952/comments/12

Have a look at both reports, they might help.

Also see:

Barry Warsaw (barry) wrote :

Given that we want to provide a more useful error message, specifically indicating a possible problem contacting the mirrors, I think the bug is easy to fix. The tricky part is coming up with the best error message. Here's what it currently says (from DistUpgradeController.py):

"After your package information was updated the essential package '%s' can not be found anymore so a bug reporting process is being started."

Suggested new language:

"After updating your packaging information, the essential package '%s' could not be located. Please check the availability of your archive mirrors, which may be overloaded or otherwise inaccessible. See /etc/apt/sources.list for the current list of mirrors."

Let's see if we can come up with acceptable language and I'll submit a merge proposal.

For me the problem isn't so much the wording, but the fact the same error message can arise from completely different causes. This needs to be fixed before you can change the wording of the message, just because the message is shown doesn't mean that there is a problem with the mirror.

Barry Warsaw (barry) wrote :

Steve suggests adding "try again later", so how about this:

"After updating your packaging information, the essential package '%s' could not be located. Please check the availability of your archive mirrors, which may be overloaded or otherwise inaccessible. Please try again later."

Barry Warsaw (barry) wrote :

@Brian: You're right, but unfortunately, at the point at which this error message is displayed, we have no idea what is causing the problem, only that the package isn't available. The best we can do I think is to suggest a diagnosis and patience. ;)

Steve Langasek (vorlon) wrote :

We're never going to know with certainty what the cause of the failure is, but we should be providing better guidance to users about *probable* causes for the bug rather than leaving them with an opaque error message. Mirror unavailability is a very likely cause for this error.

How about:

"After updating your packaging information, the essential package '%s' could not be located. This may be because you have no official mirrors listed in your software sources, or because of excessive load on the mirror
you are using. See /etc/apt/sources.list for the current list of configured software sources.

In the case that the mirror is overloaded, you may want to try the upgrade again later.

On Apr 17, 2012, at 03:37 PM, Steve Langasek wrote:

>We're never going to know with certainty what the cause of the failure
>is, but we should be providing better guidance to users about *probable*
>causes for the bug rather than leaving them with an opaque error
>message. Mirror unavailability is a very likely cause for this error.
>
>How about:
>
>"After updating your packaging information, the essential package '%s' could not be located. This may be because you have no official mirrors listed in your software sources, or because of excessive load on the mirror
>you are using. See /etc/apt/sources.list for the current list of configured software sources.
>
>In the case that the mirror is overloaded, you may want to try the
>upgrade again later.

See the attached branch, which I am testing now.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package update-manager - 1:0.156.13

---------------
update-manager (1:0.156.13) precise; urgency=low

  * Improve the error message used when a package cannot be located after
    updating, probably caused by an overloaded mirror. (LP: #873468)
 -- Barry Warsaw <email address hidden> Tue, 17 Apr 2012 16:02:54 -0400

Changed in update-manager (Ubuntu Precise):
status: In Progress → Fix Released

@Barry and @Steve, in my case when I see this error, the most probably cause is that update-manager has misidentified my repositories in sources.list as third party repositories and disabled all of them. Without telling me. As such it can't find the essential packages - because they don't exist! However I am confused because there is no indication it has disabled the essential repositories - after the process aborts, the sources.list is reset back to its original value. An error message that suggested that the problem is due to overloaded mirror would be very confusing and misleading. It might lead me to file bug reports against the wrong package, e.g. approx.

I have reported this problem in #773823, which unfortunately was merged with a different bug. Requests to have this fixed have been ignored. As such, if the mirrors are getting overloaded, maybe this is because people are unable to use anything but the official mirrors?

Unfortunately, it would appear Ubuntu really don't care about people who don't use the official supported mirrors; these mirrors can be expensive to use due to Internet charges in Australia. I really don't want to have to download the same files repeatedly for each computer I upgrade over a slow and expensive ADSL connection if I don't have to.

Barry Warsaw (barry) wrote :

On Apr 17, 2012, at 11:22 PM, Brian May wrote:

>I have reported this problem in #773823, which unfortunately was merged
>with a different bug. Requests to have this fixed have been ignored. As
>such, if the mirrors are getting overloaded, maybe this is because
>people are unable to use anything but the official mirrors?

I'm not entirely sure how to unwind all the bug dependencies, but I agree that
bug 773823 should not be a duplicate of bug 873468. It actually probably
should be a duplicate of bug 289952, but at this point it's probably easier to
just de-dupe 773823, which I've done.

Unfortunately, I can't personally commit to anything more with bug 773823
right now, and I believe we've adequately addressed the actual problem with
bug 873468. I hope that's at least some small measure of progress.

jstammi (jstammi) wrote :

If I remember correctly, in my case the problem was caused (a long time ago already, maybe it is gone already) by nneeding to use a proxy: the update did not consider the system setting and I had to set it somewhere in the configuration manually. O rone had to wait for a very long time (>1h), then the update process suddenly continued. And it was DEFINITELY no problem related to a mirror, I could reproduce it (the hanging) without update proxy settings config) and saw now delay with having done so.

I'm quite sure I then found a related bug that I subscribed to. As this one here does not deal with the proxy but I'm receiving the related notifications one should find it - th bug about the proxy problem - being one of those being markes as duplicate of this one.

So the one thing is the not very helpfull error message. IMHO this should be handled here.

The other things are the root causes that lead to this message appearing. IMHO the related bug report(s) should be identified, changed to be related and the duplication marker removed.

jstammi (jstammi) wrote :

I just found the proxy related bug, this is 772531

To post a comment you must log in.